BTPIN(1)

NAME
btpin - Bluetooth PIN utility

SYNOPSIS
btpin [-P] [-d device] [-s path] {-p pin | -r [-l len]} -a address

DESCRIPTION
The btpin utility is used to register a temporary PIN with the bthcid(8) daemon for the purposes of pairing Bluetooth devices. The PIN will be valid for 5 minutes or until used, whichever comes first.

The options are as follows:

-a address
    Specify the remote device address. The address can be specified as BD_ADDR or a name. If a name was specified, the btpin utility attempts to resolve the name via bt_gethostbyname(3).

-d device
    Specify the local device address. The device can be specified by BD_ADDR or device name. See btconfig(8) for a list of devices available. If no device is specified, the PIN will be valid for any local device.

-l len
    Specify length of PIN to generate, where 1 len 16.

-P  Pair with remote device. btpin will attempt to open an authenticated L2CAP connection to the Service Discovery Service on the remote device, to force immediate pairing.

-p pin
    The PIN to register. The PIN may be up to 16 bytes in length.

-r  Generate a random PIN, the default length is 4 bytes.

-s path
    Specify path to the control socket. The default path is /var/run/bthcid.

FILES
/var/run/bthcid

EXIT STATUS

SEE ALSO
btkey(1), btconfig(8), bthcid(8)

AUTHORS
Iain Hibbert for Itronix, Inc